Monitors API
List maintenance windows
GET
Windows of the active project. Needs monitor view permission.
bearerAuthheader
AuthorizationBearer <token>Project-scoped CLI token (sck_live_* or sck_test_*) for documented API operations that accept bearer authentication. Interactive browser operations may require a session cookie. Trigger keys (sck_trigger_* / legacy job_*) are accepted only by job trigger endpoints.
state?stringValue in
"active""scheduled""past"monitorId?stringOnly windows covering this monitor
Format
uuidserviceId?stringFormat
uuidWindows
application/json- response
success?booleanwindows?array<>curl -X GET 'https://app.supercheck.io/api/maintenance-windows'Example Response
{ "success": true, "windows": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "title": "string", "description": "string", "state": "scheduled", "scope": "project", "recurrence": "once", "timezone": "string", "localStartTime": "string", "durationMinutes": 0, "startsOn": "2019-08-24", "endsOn": "2019-08-24", "weekdays": [ 0 ], "monthDay": 0, "occurrenceStartsAt": "2019-08-24T14:15:22Z", "occurrenceEndsAt": "2019-08-24T14:15:22Z", "targets": [ { "type": "service", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" } ], "statusPageIncidentIds": [ "da6f58bf-0ef2-4571-a37b-e6207b408783" ] } ]}